# Package org.gradle.plugins.signing

package org.gradle.plugins.signing
The signing plugin.

- Related Packages
  Package
  Description
  org.gradle.plugins.signing.signatory
  The signing plugin signatory types.
  org.gradle.plugins.signing.type
  The signing plugin signature types.
- Class
  Description
  Sign
  A task for creating digital signature files for one or more; tasks, files, publishable artifacts or configurations.
  Signature
  A digital signature file artifact.
  Signature.Generator
  Configuration-cache compatible signature generator.
  SignatureSpec
  Specifies how objects will be signed.
  SigningExtension
  The global signing configuration for a project.
  SigningPlugin
  Adds the ability to digitally sign files and artifacts.
  SignOperation
  A sign operation creates digital signatures for one or more files or `publish artifacts`.